listConversations
Retrieves a list of Conversation you’ve previously created. The conversations are returned in sorted order, with the most recent appearing first. The list can be filtered using Tags.
GET
/v1/chat/conversationsAuthorization
AuthorizationBearerrequiredBearer authentication header of the form
Bearer <token>, where <token> is your auth token.Header parameters
x-bot-idstringrequiredBot id
x-integration-idstringIntegration id
x-integration-aliasstringIntegration alias
Query parameters
nextTokenstringProvide the
meta.nextToken value provided in the last API response to retrieve the next page of resultssortFieldenum<string>Sort results by this field
Available options:
createdAt,updatedAtsortDirectionenum<string>Sort results in this direction
Available options:
asc,desctagsobjectFilter by tags
participantIdsstring[]Filter by participant ids
integrationNamestringFilter by integration name
channelstringFilter by integration channel name
afterDatestringDate in ISO 8601 string with UTC timezone after which the conversation was created (inclusive)
beforeDatestringDate in ISO 8601 string with UTC timezone before which the conversation was created (inclusive)
Response
application/jsonReturns a list of Conversation objects
The response is of type listConversationsResponse · object.
conversationsobject[]requiredmetaobjectrequired